<?php
function globales($cual_global, $set) {
	//##pendiente: hay un objeto que es el cursor_DB, enlazarlo con esto.
	if($cual_global==="cursor de articulo") {
		if(!isset($GLOBALS["cursor"]["articulo"])) { //Ojo, no se prueba "empty", porque puede ser 0. Sino isset
			$GLOBALS["cursor"]["articulo"] = 0;
		}					
		if(!isset($set)) {
			return $GLOBALS["cursor"]["articulo"];
		} elseif($set==="++") {
			$GLOBALS["cursor"]["articulo"]++;
			return $GLOBALS["cursor"]["articulo"];
		} elseif(is_numeric($set) && is_integer($set) && ($set>0)) {
			$GLOBALS["cursor"]["articulo"] = $set;
			return $GLOBALS["cursor"]["articulo"];
		} else {			
			error_y_salir("##Error20260731164809-2051dav: No se comprende el valor de set $set");
		}
	} else {
		error_y_salir("##Error20260731163842-2051dav: No se entiende el global $cual_global");
	}
} //Fin de globales